namespace Wizard.Lottery;

public class LotteryReceiveTask : BaseTask
{
	public class LotteryReceiveTaskParam : BaseParam
	{
		public int mission_id;
	}

	public LotteryRewardData Result { get; private set; }

	public LotteryReceiveTask()
	{
		base.type = ApiType.Type.LotteryReceive;
	}

	public void SetParameter(int mission_id)
	{
		LotteryReceiveTaskParam lotteryReceiveTaskParam = new LotteryReceiveTaskParam();
		lotteryReceiveTaskParam.mission_id = mission_id;
		base.Params = lotteryReceiveTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Result = new LotteryRewardData(base.ResponseData["data"]["lottery_reward"]);
		return num;
	}
}
